## org.eclipse.emf.cdo.eresource.impl
Class CDOResourceImpl.ContentsCDOList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.AbstractEList<E>
                  org.eclipse.emf.common.util.DelegatingEList<E>
                      org.eclipse.emf.common.notify.impl.DelegatingNotifyingListImpl<E>
                          org.eclipse.emf.ecore.util.DelegatingNotifyingInternalEListImpl<E>
                              org.eclipse.emf.ecore.util.DelegatingEcoreEList<E>
                                  org.eclipse.emf.ecore.util.DelegatingEcoreEList.Generic<E>
                                      org.eclipse.emf.ecore.util.DelegatingEcoreEList.Dynamic<E>
                                          org.eclipse.emf.ecore.impl.EStoreEObjectImpl.BasicEStoreEList<java.lang.Object>
                                              org.eclipse.emf.cdo.eresource.impl.CDOResourceImpl.ContentsCDOList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<java.lang.Object>, java.util.Collection<java.lang.Object>, java.util.List<java.lang.Object>, org.eclipse.emf.common.notify.NotifyingList<java.lang.Object>, org.eclipse.emf.common.util.EList<java.lang.Object>, org.eclipse.emf.ecore.EStructuralFeature.Setting, org.eclipse.emf.ecore.util.InternalEList<java.lang.Object>, org.eclipse.emf.ecore.util.InternalEList.Unsettable<java.lang.Object>

Enclosing class:
  CDOResourceImpl

    protected class CDOResourceImpl.ContentsCDOList

extends org.eclipse.emf.ecore.impl.EStoreEObjectImpl.BasicEStoreEList<java.lang.Object>

`ResourceImpl.ContentsEList`!!! --> Bugzilla!

Since:
  2.0
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList
`org.eclipse.emf.ecore.util.DelegatingEcoreEList.Dynamic<E>, org.eclipse.emf.ecore.util.DelegatingEcoreEList.Generic<E>, org.eclipse.emf.ecore.util.DelegatingEcoreEList.UnmodifiableEList<E>, org.eclipse.emf.ecore.util.DelegatingEcoreEList.Unsettable<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.DelegatingEList
`org.eclipse.emf.common.util.DelegatingEList.EIterator<E1>, org.eclipse.emf.common.util.DelegatingEList.EListIterator<E1>, org.eclipse.emf.common.util.DelegatingEList.NonResolvingEIterator<E1>, org.eclipse.emf.common.util.DelegatingEList.NonResolvingEListIterator<E1>`

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.AbstractEList
`org.eclipse.emf.common.util.AbstractEList.BasicIndexOutOfBoundsException`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList.Dynamic
`eStructuralFeature`

Fields inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList.Generic
`HAS_INSTANCE_CLASS, HAS_MANY_INVERSE, HAS_NAVIGABLE_INVERSE, HAS_PROXIES, IS_CONTAINER, IS_CONTAINMENT, IS_ENUM, IS_EOBJECT, IS_PRIMITIVE, IS_SET, IS_UNIQUE, IS_UNSETTABLE, kind`

Fields inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList
`owner`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`CDOResourceImpl.ContentsCDOList(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)`

Method Summary
`boolean` `contains(java.lang.Object object)` Optimization taken from ResourceImpl.EContentList.contains.
`protected boolean` `hasInverse()`
`org.eclipse.emf.common.notify.NotificationChain` `inverseAdd(java.lang.Object object, org.eclipse.emf.common.notify.NotificationChain notifications)`
`org.eclipse.emf.common.notify.NotificationChain` `inverseRemove(java.lang.Object object, org.eclipse.emf.common.notify.NotificationChain notifications)`
`protected boolean` `isUnique()`
`protected void` `loaded()`
`protected void` `modified()`
`protected boolean` `useEquals()`

Methods inherited from class org.eclipse.emf.ecore.impl.EStoreEObjectImpl.BasicEStoreEList
`delegateAdd, delegateAdd, delegateBasicList, delegateClear, delegateContains, delegateContainsAll, delegateEquals, delegateGet, delegateHashCode, delegateIndexOf, delegateIsEmpty, delegateIterator, delegateLastIndexOf, delegateList, delegateListIterator, delegateMove, delegateRemove, delegateSet, delegateSize, delegateToArray, delegateToArray, delegateToString, eStore, getEStructuralFeature`

Methods inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList.Generic
`canContainNull, didChange, hasInstanceClass, hasManyInverse, hasNavigableInverse, hasProxies, isContainer, isContainment, isEObject, isSet, isUnsettable, kind, unset`

Methods inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList
`createNotification, createNotification, dispatchNotification, get, getEObject, getFeature, getFeatureID, getFeatureType, getInverseEReference, getInverseFeatureClass, getInverseFeatureID, getNotifier, indexOf, isInstance, isNotificationRequired, lastIndexOf, resolve, resolve, resolveProxy, set, toArray, toArray, validate`

Methods inherited from class org.eclipse.emf.ecore.util.DelegatingNotifyingInternalEListImpl
`basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicToArray, basicToArray`

Methods inherited from class org.eclipse.emf.common.notify.impl.DelegatingNotifyingListImpl

`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, basicAdd, basicRemove, basicSet, clear, createNotification, createNotificationChain, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddUnique, doAddUnique, doClear, doMove, doRemove, doRemoveAll, doSetUnique, getFeatureID, hasShadow, move, remove, removeAll, setUnique, shadowAdd, shadowRemove, shadowSet`

Methods inherited from class org.eclipse.emf.common.util.DelegatingEList
`containsAll, doClear, equals, get, hashCode, isEmpty, primitiveGet, remove, retainAll, size, toString`

Methods inherited from class org.eclipse.emf.common.util.AbstractEList
`add, add, addAll, addAll, didAdd, didClear, didMove, didRemove, didSet, equalObjects, getDuplicates, getNonDuplicates, iterator, listIterator, listIterator, move, set`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList
`addAllUnique, addAllUnique, addUnique, addUnique, basicAdd, basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicRemove, basicToArray, basicToArray, setUnique`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, containsAll, equals, get, hashCode, isEmpty, iterator, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList`

Constructor Detail

### CDOResourceImpl.ContentsCDOList

    public CDOResourceImpl.ContentsCDOList(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)

Method Detail

### contains

    public boolean contains(java.lang.Object object)

  Optimization taken from ResourceImpl.EContentList.contains.

  Specified by:
    `contains` in interface `java.util.Collection<java.lang.Object>`
  Specified by:
    `contains` in interface `java.util.List<java.lang.Object>`
  Overrides:
    `contains` in class `org.eclipse.emf.ecore.util.DelegatingEcoreEList<java.lang.Object>`
  Since:
    2.0

### inverseAdd

    public org.eclipse.emf.common.notify.NotificationChain inverseAdd(java.lang.Object object,
                                                                      org.eclipse.emf.common.notify.NotificationChain notifications)

  Overrides:
    `inverseAdd` in class `org.eclipse.emf.ecore.util.DelegatingEcoreEList<java.lang.Object>`
  Since:
    2.0

### inverseRemove

    public org.eclipse.emf.common.notify.NotificationChain inverseRemove(java.lang.Object object,
                                                                         org.eclipse.emf.common.notify.NotificationChain notifications)

  Overrides:
    `inverseRemove` in class `org.eclipse.emf.ecore.util.DelegatingEcoreEList<java.lang.Object>`
  Since:
    2.0

### loaded

    protected void loaded()

  Since:
    2.0

### modified

    protected void modified()

  Since:
    2.0

### useEquals

    protected boolean useEquals()

  Overrides:
    `useEquals` in class `org.eclipse.emf.ecore.util.DelegatingEcoreEList.Generic<java.lang.Object>`
  Since:
    2.0

### hasInverse

    protected boolean hasInverse()

  Overrides:
    `hasInverse` in class `org.eclipse.emf.ecore.util.DelegatingEcoreEList.Generic<java.lang.Object>`
  Since:
    2.0

### isUnique

    protected boolean isUnique()

  Overrides:
    `isUnique` in class `org.eclipse.emf.ecore.util.DelegatingEcoreEList.Generic<java.lang.Object>`
  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.